package com.tuoheng.admin.service;

import com.tuoheng.admin.entity.domain.WorkOrder;
import com.tuoheng.admin.entity.request.WorkOrderHandleRequest;
import com.tuoheng.admin.entity.request.WorkOrderQuestionRequest;
import com.tuoheng.admin.entity.request.WorkOrderRequest;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.utils.JsonResult;


public interface IWorkOrderService extends IBaseService<WorkOrder> {
    JsonResult queryPage(WorkOrderRequest request);

    JsonResult generate(Integer[] ids);

    JsonResult assign(WorkOrderRequest request);

    JsonResult handle(WorkOrderHandleRequest request);

    JsonResult questionPage(WorkOrderQuestionRequest request);

    JsonResult questionDetail(Integer questionId);
}
